import { ArchiverCommanderOptions } from '../../interfaces/archiver.interface';
import { Options as CreateCommandOptions } from '../../interfaces/create.interface';
import { DevCommandOptions } from '../../interfaces/dev.interface';
export declare function isMonorepo(contentPath: string): Promise<boolean>;
export declare function validateMonorepo(baseDir: string): Promise<[void[], void]>;
export declare function validateNameOption(options: CreateCommandOptions): void;
export declare function areWorkspacesPassed({ from, fromAll, }: CreateCommandOptions | DevCommandOptions | ArchiverCommanderOptions): boolean;
export declare function passedMultipleWorkspaces({ from, fromAll }: CreateCommandOptions | DevCommandOptions): boolean;
